import { PluginPreparer, PluginCreateOptions, PluginLogger } from "reg-suit-interface";
import { PluginConfig } from "./gcs-publisher-plugin";
export interface SetupInquireResult {
    createBucket: boolean;
    bucketName?: string;
}
export declare class GcsBucketPreparer implements PluginPreparer<SetupInquireResult, PluginConfig> {
    _logger: PluginLogger;
    inquire(): ({
        name: string;
        type: string;
        message: string;
        default: boolean;
        when?: undefined;
    } | {
        name: string;
        type: string;
        message: string;
        when: (ctx: any) => boolean;
        default?: undefined;
    })[];
    prepare(config: PluginCreateOptions<SetupInquireResult>): Promise<{
        bucketName: string;
    }>;
    _createBucket(bucketName: string): Promise<import("@google-cloud/storage/build/src/bucket").Bucket>;
}
