import { WorkingDirectoryInfo, PublisherPlugin, PluginCreateOptions } from "reg-suit-interface";
import { AbstractPublisher, RemoteFileItem, FileItem, ObjectListResult } from "reg-suit-util";
export interface PluginConfig {
    bucketName: string;
    pattern?: string;
    customUri?: string;
    pathPrefix?: string;
}
export declare class GcsPublisherPlugin extends AbstractPublisher implements PublisherPlugin<PluginConfig> {
    name: string;
    private _options;
    private _pluginConfig;
    private _gcsClient;
    constructor();
    init(config: PluginCreateOptions<PluginConfig>): void;
    publish(key: string): Promise<{
        reportUrl: string | undefined;
    }>;
    fetch(key: string): Promise<any>;
    protected getUriPrefix(): string;
    protected getBucketRootDir(): string | undefined;
    protected getBucketName(): string;
    protected getLocalGlobPattern(): string | undefined;
    protected getWorkingDirs(): WorkingDirectoryInfo;
    protected uploadItem(key: string, item: FileItem): Promise<FileItem>;
    protected downloadItem({ remotePath }: RemoteFileItem, item: FileItem): Promise<FileItem>;
    protected listItems(lastKey: string, prefix: string): Promise<ObjectListResult>;
}
